org.eclipse.microprofile.openapi.apps.airlines.resources

## Class AirlinesResource

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.airlines.resources.AirlinesResource

    @Path(value="")
    public class AirlinesResource
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AirlinesResource()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `getAirlines()`
`static Airline` `getRandomAirline()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirlinesResource

    public AirlinesResource()

### Method Detail

#### getRandomAirline

    public static Airline getRandomAirline()

#### getAirlines

    @GET
     @Produces(value="application/json")
    public javax.ws.rs.core.Response getAirlines()